BizKitHub
DocsAPI ReferenceMember/bff/member/permission-templates/update
postMemberAdmin BFF

/bff/member/permission-templates/update

Update a permission template

MemberpostBffMemberPermission-templatesUpdate

Parameters

JSON body

Request body

application/json
idnumberRequired
namestringOptional
descriptionstring | nullOptional
One of 2:
Variant 1
string
Variant 2
null
colorstring | nullOptional
One of 2:
Variant 1
string
Variant 2
null
permissionCodesstring[]Optional
roleCodesstring[]Optional

Response schema

1 status code documented

200Success
successbooleanRequired
Default: true

Response example

application/json
{
  "success": true
}

Request example

POST /bff/member/permission-templates/update

post
curl -X POST "https://api.bizkithub.com/bff/member/permission-templates/update" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "id": 0,
  "name": "example_name",
  "permissionCodes": [
    "string"
  ],
  "roleCodes": [
    "string"
  ]
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key